;; Ce fichier « home-environment » peut être passé à « guix home reconfigure » pour reproduire
;; le contenu de votre profil. Son contenu est « symbolique » : il ne spécifie que les
;; noms des paquets. Pour reproduire exactement le même profil, vous devez aussi
;; retenir les canaux utilisés, ceux renvoyés par « guix describe ».
;; Voir la section « Répliquer Guix » dans le manuel.


(use-modules (gnu home)
             (gnu services)
             (gnu packages)
             (gnu packages gnupg)
             (guix gexp)
             (gnu home services shells)
             (gnu home services gnupg))

(home-environment
  (services
    (list (service home-bash-service-type
      (home-bash-configuration
        (aliases '(
          ("clear" . "printf '\\033c'")
          ("dir" . "dir --color=auto")
          ("egrep" . "egrep --color=auto")
          ("fgrep" . "fgrep --color=auto")
          ("grep" . "grep --color=auto")
          ("la" . "ls -A")
          ("ll" . "ls -l")
          ("l" . "ls -CF")
          ("ls" . "ls -p --color=auto")
          ("vdir" . "vdir --color=auto")))
        (bashrc (list (local-file "/home/neox/.config/guix//.bashrc" "bashrc")))
        (bash-profile (list (local-file
          "/home/neox/.config/guix//.bash_profile"
          "bash_profile")))))
      (service home-gpg-agent-service-type
         (home-gpg-agent-configuration
          (pinentry-program
           (file-append pinentry-gnome3 "/bin/pinentry-gnome3"))
          (ssh-support? #t))))))
